pango-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.Opaque an object containing an array of tab stops. Each tab stop has an alignment and a position.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Constructor
  2.12.0.0
  Initial number of tab stops to allocate, can be 0
  if the tab positions are in pixel units
  an object containing an array of tab stops
  Creates a new with the number of tab stops specified by . If is , the tab stop positions are specified in pixel units otherwise in pango units. All tab stops are initially at position 0.
- Method
  2.12.0.0
  Pango.TabArray Copies the existing to a new one. an object of type
- Method
  2.12.0.0
  System.Void To be added. To be added.
- Method
  2.12.0.0
  System.Obsolete("Pango.TabArray is now freed automatically")
  System.Void Frees all the resources for this object.
- Method
  2.12.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Void `` `` `` the tab stop index a a , the position in Pango units. Gets the alignment and position of the tab stop specified by . To be added.
- Method
  2.12.0.0
  System.Void `` `` an array of indicating the alignment of each tab stop. an array of indicating the location of each tab stop in pango units. Gets the an array of alignments and positions.
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  System.Boolean returns if the tab positions are specified in pixels and if they are in pango units. an object of type
- Method
  2.12.0.0
  System.Void `` the new size of the array Sets the size of the tab array to the value specified by . You must subsequently initialize any tabs that were added to the array.
- Method
  2.12.0.0
  System.Void `` `` `` the index of a tab stop the tab alignment the tab location in pango units Sets the specified and of the tab stop specified by . The value of must always be in the current implementation.
- Property
  2.12.0.0
  System.Int32 returns the number of tab stops in the tab array. the number of tab stops in the array.